/**
 * $Id: FileUtilsTest.java,v 1.1 2005/04/11 16:31:58 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.common.io;

import junit.framework.TestCase;

/**
 * FileUtilsのテストケース
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class FileUtilsTest extends TestCase {

	/**
	 * Constructor for FileUtilsTest.
	 * @param arg0
	 */
	public FileUtilsTest(String arg0) {
		super(arg0);
	}

	/**
	 * ファイル名1つのみの連結テスト
	 */
	public void testOnlyFilename() {
		assertEquals("sample.csv", FileUtils.concat(new String[]{"sample.csv"}));
	}
	/**
	 * いくつかのパス要素の連結テスト
	 */
	public void testSomePathElements() {
		assertEquals("C:\\foo\\bar\\sample.zip", FileUtils.concat(new String[]{"C:","foo","bar","sample.zip"}));
	}
	/**
	 * いくつかの長いパス要素の連結テスト
	 */
	public void testLongPathElements() {
		assertEquals("\\works\\program files\\test projects\\jdbctest.java",
				FileUtils.concat(new String[]{"\\works\\program files\\","test projects\\jdbctest.java"})
			);
	}
}
